'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-bdeef4f4.js');
const defaultIconPack = require('./default-icon-pack-0ea0e986.js');
const index$1 = require('./index-dbc5b08f.js');
const store = require('./store-d570e98c.js');
const versionTwoApis = require('./versionTwoApis-9c9006ae.js');
require('./default-language-4c779255.js');

const dytePluginsToggleCss = ":host{display:block;font-family:var(--dyte-font-family, sans-serif)}";

const DytePluginsToggle = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.stateUpdate = index.createEvent(this, "dyteStateUpdate", 7);
    /** Variant */
    this.variant = 'button';
    /** Icon pack */
    this.iconPack = defaultIconPack.defaultIconPack;
    /** Language */
    this.t = index$1.useLanguage();
    this.pluginsActive = false;
  }
  connectedCallback() {
    this.statesChanged(this.states);
    store.onChange('sidebar', () => this.statesChanged());
  }
  statesChanged(s) {
    const states = s || store.state;
    if (states != null) {
      this.pluginsActive = states.activeSidebar === true && states.sidebar === 'plugins';
    }
  }
  togglePlugins() {
    const states = this.states || store.state;
    this.pluginsActive = !((states === null || states === void 0 ? void 0 : states.activeSidebar) && (states === null || states === void 0 ? void 0 : states.sidebar) === 'plugins');
    this.stateUpdate.emit({
      activeSidebar: this.pluginsActive,
      sidebar: this.pluginsActive ? 'plugins' : 'none',
    });
    store.state.activeSidebar = this.pluginsActive;
    store.state.sidebar = this.pluginsActive ? 'plugins' : 'none';
  }
  render() {
    var _a, _b, _c, _d;
    const text = this.t('plugins');
    const theme = (_a = this.meeting) === null || _a === void 0 ? void 0 : _a.self.suggestedTheme;
    if (theme && !versionTwoApis.isV2Theme(theme) && !((_d = (_c = (_b = theme) === null || _b === void 0 ? void 0 : _b.controlBar) === null || _c === void 0 ? void 0 : _c.elements) === null || _d === void 0 ? void 0 : _d.plugins))
      return;
    return (index.h(index.Host, { title: text }, index.h("dyte-controlbar-button", { part: "controlbar-button", size: this.size, iconPack: this.iconPack, class: { active: this.pluginsActive }, onClick: () => this.togglePlugins(), icon: this.iconPack.rocket, label: text, variant: this.variant })));
  }
  static get watchers() { return {
    "states": ["statesChanged"]
  }; }
};
DytePluginsToggle.style = dytePluginsToggleCss;

exports.dyte_plugins_toggle = DytePluginsToggle;
