import { r as registerInstance, c as createEvent, h, H as Host } from './index-74ddb327.js';
import { d as defaultIconPack } from './default-icon-pack-eabba256.js';
import { u as useLanguage } from './index-a214afbc.js';
import { s as state } from './store-79928517.js';
import './default-language-04851639.js';

const dyteMoreToggleCss = ":host{display:block;font-family:var(--dyte-font-family, sans-serif)}";

const DyteMoreToggle = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.stateUpdate = createEvent(this, "dyteStateUpdate", 7);
    /** Icon pack */
    this.iconPack = defaultIconPack;
    /** Language */
    this.t = useLanguage();
    this.isOpen = false;
    this.toggleMoreMenu = () => {
      this.isOpen = !this.isOpen;
      this.stateUpdate.emit({ activeMoreMenu: this.isOpen });
      state.activeMoreMenu = this.isOpen;
    };
  }
  render() {
    const text = this.t('More');
    const states = this.states || state;
    const icon = (states === null || states === void 0 ? void 0 : states.activeMoreMenu) === true ? this.iconPack.chevron_down : this.iconPack.chevron_up;
    return (h(Host, { title: text }, h("dyte-controlbar-button", { size: this.size, iconPack: this.iconPack, onClick: () => this.toggleMoreMenu(), icon: icon, label: text, part: "controlbar-button" })));
  }
};
DyteMoreToggle.style = dyteMoreToggleCss;

export { DyteMoreToggle as dyte_more_toggle };
