import { r as registerInstance, c as createEvent, h, H as Host } from './index-74ddb327.js';
import { d as defaultIconPack } from './default-icon-pack-eabba256.js';
import { u as useLanguage } from './index-a214afbc.js';
import { o as onChange, s as state } from './store-79928517.js';
import { i as isV2Theme } from './versionTwoApis-e31e770d.js';
import './default-language-04851639.js';

const dyteParticipantsToggleCss = ":host{display:block;font-family:var(--dyte-font-family, sans-serif)}";

const DyteParticipantsToggle = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.stateUpdate = createEvent(this, "dyteStateUpdate", 7);
    /** Variant */
    this.variant = 'button';
    /** Icon pack */
    this.iconPack = defaultIconPack;
    /** Language */
    this.t = useLanguage();
    this.participantsActive = false;
  }
  connectedCallback() {
    this.statesChanged(this.states);
    onChange('sidebar', () => this.statesChanged());
  }
  statesChanged(s) {
    const states = s || state;
    if (states != null) {
      this.participantsActive = states.activeSidebar === true && states.sidebar === 'participants';
    }
  }
  toggleParticipantsTab() {
    const states = this.states || state;
    this.participantsActive = !((states === null || states === void 0 ? void 0 : states.activeSidebar) && (states === null || states === void 0 ? void 0 : states.sidebar) === 'participants');
    state.activeSidebar = this.participantsActive;
    state.sidebar = this.participantsActive ? 'participants' : 'none';
    this.stateUpdate.emit({
      activeSidebar: this.participantsActive,
      sidebar: this.participantsActive ? 'participants' : 'none',
    });
  }
  render() {
    var _a, _b, _c, _d;
    const text = this.t('participants');
    const theme = (_a = this.meeting) === null || _a === void 0 ? void 0 : _a.self.suggestedTheme;
    if (theme &&
      !isV2Theme(theme) &&
      !((_d = (_c = (_b = theme) === null || _b === void 0 ? void 0 : _b.controlBar) === null || _c === void 0 ? void 0 : _c.elements) === null || _d === void 0 ? void 0 : _d.participants))
      return;
    return (h(Host, { title: text }, h("dyte-controlbar-button", { part: "controlbar-button", size: this.size, iconPack: this.iconPack, class: { active: this.participantsActive }, onClick: () => this.toggleParticipantsTab(), icon: this.iconPack.participants, label: text, variant: this.variant })));
  }
  static get watchers() { return {
    "states": ["statesChanged"]
  }; }
};
DyteParticipantsToggle.style = dyteParticipantsToggleCss;

export { DyteParticipantsToggle as dyte_participants_toggle };
